package com.ruoyi.manage.mapper;

import java.util.List;
import com.ruoyi.manage.domain.RecordIn;
import org.springframework.stereotype.Repository;
/**
 * 轮挡入库记录Mapper接口
 *
 * @author wangh
 * @date 2024-01-17
 */
@Repository
public interface RecordInMapper
{
    /**
     * 查询轮挡入库记录
     *
     * @param objid 轮挡入库记录主键
     * @return 轮挡入库记录
     */
    public RecordIn selectRecordInByObjid(Long objid);

    /**
     * 查询轮挡入库记录列表
     *
     * @param recordIn 轮挡入库记录
     * @return 轮挡入库记录集合
     */
    public List<RecordIn> selectRecordInList(RecordIn recordIn);

    /**
     * 新增轮挡入库记录
     *
     * @param recordIn 轮挡入库记录
     * @return 结果
     */
    public int insertRecordIn(RecordIn recordIn);

    /**
     * 修改轮挡入库记录
     *
     * @param recordIn 轮挡入库记录
     * @return 结果
     */
    public int updateRecordIn(RecordIn recordIn);

    /**
     * 删除轮挡入库记录
     *
     * @param objid 轮挡入库记录主键
     * @return 结果
     */
    public int deleteRecordInByObjid(Long objid);

    /**
     * 批量删除轮挡入库记录
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecordInByObjids(String[] objids);
}
